import { httpAxios_gyt } from "@/api/ApiInstance"

/**
 * 管乐团
 */

// 获取当前播放的时间
export const getCoursewarePlayTime_gyt = (id: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: "/api-teacher/courseSchedule/getCoursewarePlayTime?courseScheduleId=" + id,
      params: {
         playFrom: "WEB"
      }
   })
}
// 记录时间
export const coursewarePlayTime_gyt = (id: string, time: number) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: `/api-teacher/courseSchedule/coursewarePlayTime?courseScheduleId=${id}&playTime=${time}`,
      params: {
         playFrom: "WEB"
      }
   })
}
// 判断是否签退
export const checkWebCourse_gyt = (id: string) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: `/api-teacher/courseSchedule/checkWebCourse/` + id
   })
}
