import CRUDMain from "@/components/crud/CRUD.main.vue"
import UDOperation from "@/components/crud/UD.operation.vue"
import dictionary from "@/components/dictionary"
import tooltipAutoShow from "@/components/tooltipAutoShow"
import split from "@/components/split"
import ellipsis from "@/components/ellipsis"
import ellipsisScroll from "@/components/ellipsisScroll"

/** 全局组件 */
declare module "vue" {
   export interface GlobalComponents {
      CRUDMain: typeof CRUDMain
      UDOperation: typeof UDOperation
      dictionary: typeof dictionary
      tooltipAutoShow: typeof tooltipAutoShow
      split: typeof split
      ellipsis: typeof ellipsis
      ellipsisScroll: typeof ellipsisScroll
   }
}
