/*
   安全证书
 */

import modalFrame from "@/plugin/modalFrame"
import secureAnth from "./secureAnth.vue"

/**
 * @param obj
 *  text :文字
 *  btnShow:控制确认按钮显示
 *  headImg:头部图片
 */
type objType = {
   onCancel?: (...nargs: any[]) => void
   onOk?: (...nargs: any[]) => void
}
export default (obj?: objType) => {
   // 只弹窗一次
   document.querySelector(".h-modalFrame.useSecureAnth") ||
      modalFrame({
         template: secureAnth,
         width: 920,
         height: 860,
         btnShow: [],
         className: "useSecureAnth",
         onCancel: obj?.onCancel,
         onOk: obj?.onCancel
      })
}
