import { RouteRecordRaw, RouteComponent } from "vue-router"
import layout from "@/viewsframe/layout"
/** 静态路由 */
export const constRoutes: Array<RouteRecordRaw> = [
   {
      path: "/login",
      name: "login",
      component: () => import("@/viewsframe/login")
   }
]
import componentsConfig from "./modules"
export interface asyncComponentsType {
   [key: string]: RouteComponent
}
/** 动态路由 */
export const asyncComponents: asyncComponentsType = {
   ...componentsConfig,
   layout
}
